package main

import (
	"fmt"

	"github.com/go-redis/redis/v8"
	cfg "github.com/jesusperez/cfgsrv"
)

func load_redis(cfg *cfg.Config) *redis.Client {

    rdb := redis.NewClient(&redis.Options{
        Addr:     fmt.Sprintf("%s:%d",cfg.RedisHost,cfg.RedisPort),
        Password: cfg.RedisPswd, // no password set
        DB:       0, // TODO cfg.RedisDB name to number, // 0, use default DB
    })
    return rdb
 }
//}
//func load_redis(rtenv *RouteEnv) {
    // err := rdb.Set(ctx, "key", "value", 0).Err()
    // if err != nil {
    //     panic(err)
    // }

    // val, err := rdb.Get(ctx, "key").Result()
    // if err != nil {
    //     panic(err)
    // }
    // fmt.Println("key", val)

    // val2, err := rdb.Get(ctx, "key2").Result()
    // if err == redis.Nil {
    //     fmt.Println("key2 does not exist")
    // } else if err != nil {
    //     panic(err)
    // } else {
    //     fmt.Println("key2", val2)
    // }
//}

